%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  pmxTools
%global packver   1.3
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.3
Release:          1%{?dist}%{?buildtag}
Summary:          Pharmacometric and Pharmacokinetic Toolkit

License:          GPL-2
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.50
Requires:         R-core >= 3.50
BuildArch:        noarch
BuildRequires:    R-CRAN-dplyr >= 0.8.5
BuildRequires:    R-CRAN-patchwork 
BuildRequires:    R-CRAN-ggplot2 
BuildRequires:    R-CRAN-chron 
BuildRequires:    R-CRAN-xml2 
BuildRequires:    R-CRAN-tibble 
BuildRequires:    R-CRAN-gghalves 
BuildRequires:    R-CRAN-ggdist 
BuildRequires:    R-CRAN-scales 
BuildRequires:    R-CRAN-MASS 
BuildRequires:    R-CRAN-stringr 
BuildRequires:    R-CRAN-PKNCA 
BuildRequires:    R-CRAN-magrittr 
BuildRequires:    R-CRAN-data.tree 
Requires:         R-CRAN-dplyr >= 0.8.5
Requires:         R-CRAN-patchwork 
Requires:         R-CRAN-ggplot2 
Requires:         R-CRAN-chron 
Requires:         R-CRAN-xml2 
Requires:         R-CRAN-tibble 
Requires:         R-CRAN-gghalves 
Requires:         R-CRAN-ggdist 
Requires:         R-CRAN-scales 
Requires:         R-CRAN-MASS 
Requires:         R-CRAN-stringr 
Requires:         R-CRAN-PKNCA 
Requires:         R-CRAN-magrittr 
Requires:         R-CRAN-data.tree 

%description
Pharmacometric tools for common data analytical tasks; closed-form
solutions for calculating concentrations at given times after dosing based
on compartmental PK models (1-compartment, 2-compartment and
3-compartment, covering infusions, zero- and first-order absorption, and
lag times, after single doses and at steady state, per Bertrand & Mentre
(2008) <http://lixoft.com/wp-content/uploads/2016/03/PKPDlibrary.pdf>);
parametric simulation from NONMEM-generated parameter estimates and other
output; and parsing, tabulating and plotting results generated by
Perl-speaks-NONMEM (PsN).

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
